# class DBus::Data::Int32

Signed 32 bit integer.

### Constants

FORMAT

### Public Class Methods

alignment() click to toggle source

        # File lib/dbus/data.rb
    293 def self.alignment
    294   4
    295 end

format() click to toggle source

        # File lib/dbus/data.rb
    298 def self.format
    299   FORMAT
    300 end

range() click to toggle source

        # File lib/dbus/data.rb
    302 def self.range
    303   (-2_147_483_648..2_147_483_647)
    304 end

type_code() click to toggle source

        # File lib/dbus/data.rb
    289 def self.type_code
    290   "i"
    291 end